Package org.apache.cxf.endpoint

# Class SimpleEndpointImplFactory

java.lang.Object
org.apache.cxf.endpoint.SimpleEndpointImplFactory

All Implemented Interfaces:
  `EndpointImplFactory`

public class SimpleEndpointImplFactory extends Object implements EndpointImplFactory
Create ordinary EndpointImpl objects.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleEndpointImplFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EndpointImplFactory`
  `getSingleton()`
  Avoid the need to construct these objects over and over in cases where the code knows that it needs the basic case.
  `EndpointImpl`
  `newEndpointImpl(Bus bus, Service service, EndpointInfo endpointInfo)`
  Create an EndpointImpl from a bus, service, and endpoint info.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleEndpointImplFactory

    public SimpleEndpointImplFactory()

- ## Method Details

  - ### newEndpointImpl

    public EndpointImpl newEndpointImpl(Bus bus, Service service, EndpointInfo endpointInfo) throws EndpointException
    Create an EndpointImpl from a bus, service, and endpoint info.
    Specified by:
      `newEndpointImpl` in interface `EndpointImplFactory`
    Throws:
      `EndpointException`

  - ### getSingleton

    public static EndpointImplFactory getSingleton()
    Avoid the need to construct these objects over and over in cases where the code knows that it needs the basic case.